Bug 1882764 - tesseract-langpack-* should supplement tesseract instead of tesseract-tessdata
Summary: tesseract-langpack-* should supplement tesseract instead of tesseract-tessdata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tesseract-tessdata
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-25 15:41 UTC by Petr Pisar
Modified: 2020-10-29 01:05 UTC (History)
1 user (show)

Fixed In Version: tesseract-tessdata-4.0.0-9.fc32 tesseract-tessdata-4.0.0-9.fc31 tesseract-tessdata-4.0.0-9.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-07 20:36:27 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2020-09-25 15:41:05 UTC
tesseract package is barely usable without tesseract-langpack-* packages. I can see that tesseract requires tesseract-langpack-eng. But what about other languages?

Natural solution is a weak dependency. I queries a reposiory:

# dnf --quiet repoquery --supplements tesseract-langpack-ces
(tesseract-tessdata = 4.0.0-8.fc33 and langpacks-cs)

Great. What is tesseract-tessdata?:

# dnf --quiet repoquery --whatprovides tesseract-tessdata

It does not exist. I believe this a bug in tesseract-tessdata.spec that was split from tesseract package, but the Supplements was not updated:

%package -n tesseract-langpack-%{macrolang}\
[...]
Supplements:   (%{name} = %{version}-%{release} and langpacks-%{langcode})}\

I think %{name} should replaced with tesseract.

Comment 1 Fedora Update System 2020-09-29 11:53:49 UTC
FEDORA-2020-9a5ce44846 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9a5ce44846

Comment 2 Fedora Update System 2020-09-29 11:53:49 UTC
FEDORA-2020-a8baaa81a1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a8baaa81a1

Comment 3 Fedora Update System 2020-09-30 01:10:27 UTC
FEDORA-2020-9a5ce44846 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9a5ce44846`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9a5ce44846

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-09-30 01:21:44 UTC
FEDORA-2020-a8baaa81a1 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a8baaa81a1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a8baaa81a1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-09-30 01:21:53 UTC
FEDORA-2020-cee8372052 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cee8372052`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cee8372052

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-07 20:36:27 UTC
FEDORA-2020-cee8372052 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-10-07 20:45:16 UTC
FEDORA-2020-a8baaa81a1 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-10-29 01:05:05 UTC
FEDORA-2020-9a5ce44846 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.